"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""
from typing import Dict


async def list_all(hub, ctx) -> Dict:
    r"""
    **Autogenerated function**

    Lists all search domains owned by an account.


    Returns:
        Dict

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.aws_auto.cloudsearch.domain.name.list_all(ctx)

        Call from CLI:

        .. code-block:: bash

            $ idem exec aws_auto.cloudsearch.domain.name.list_all
    """
    return await hub.tool.aws.client.exec(
        ctx, service_name="cloudsearch", operation="list_domain_names", op_kwargs={}
    )
